Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface ITreeViewerListener

    public interface ITreeViewerListener

A listener which is notified when a tree viewer expands or collapses a node.

Method Summary
`void` `treeCollapsed(TreeExpansionEvent event)` Notifies that a node in the tree has been collapsed.
`void` `treeExpanded(TreeExpansionEvent event)` Notifies that a node in the tree has been expanded.

Method Detail

### treeCollapsed

    void treeCollapsed(TreeExpansionEvent event)

  Notifies that a node in the tree has been collapsed.

  Parameters:
    `event` - event object describing details

### treeExpanded

    void treeExpanded(TreeExpansionEvent event)

  Notifies that a node in the tree has been expanded.

  Parameters:
    `event` - event object describing details

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.